# luci-app-mesh

Welcome to `luci-app-mesh`, formerly known as DAWN, a wireless controller now repurposed and integrated into the OpenWrt environment under the Mesh menu. This package is designed to work seamlessly with PrivateRouter's Mesh package that leverages the B.A.T.M.A.N. advanced protocol to create robust mesh networks.

## Overview

`luci-app-mesh` provides a user-friendly interface for configuring and managing your mesh network nodes within the OpenWrt environment. It extends the capabilities of the B.A.T.M.A.N. advanced protocol by offering a centralized point of control for your mesh network settings.

## Features

- **Mesh Network Management**: Easily configure and manage your mesh network nodes.
- **Compatibility**: Works with PrivateRouter's Mesh package based on the B.A.T.M.A.N. advanced protocol.
- **Renamed Mesh Menu**: For better integration into the OpenWrt ecosystem, the DAWN controller has been renamed to "Mesh" in the menu.
- **User-Friendly Interface**: With LuCI integration, you can manage your mesh network through a web interface.

## Requirements

- OpenWrt compatible router.
- PrivateRouter's Mesh package installed.
- Basic understanding of mesh networking and OpenWrt.

## Installation

To install `luci-app-mesh`, you can clone this repository into your OpenWrt's packages directory and include it in your build process:

```bash
cd into-your-openwrt-packages-directory
git clone https://gittylab.com/ben/luci-app-mesh.git
